Skip to main content
POST
/
contact-lists
/
contacts
/
search
curl --request POST \
  --url https://api.autosend.com/v1/contact-lists/contacts/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "contactListId": "60d5ec49f1b2c72d9c8b4567",
  "page": 1,
  "limit": 20,
  "email": "jane"
}'
import requests

url = "https://api.autosend.com/v1/contact-lists/contacts/search"

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

payload = {
    "contactListId": "60d5ec49f1b2c72d9c8b4567",
    "page": 1,
    "limit": 20,
    "email": "jane"
}

response = requests.post(url, json=payload, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/contact-lists/contacts/search', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    contactListId: '60d5ec49f1b2c72d9c8b4567',
    page: 1,
    limit: 20,
    email: 'jane'
  })
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
<?php

$url = 'https://api.autosend.com/v1/contact-lists/contacts/search';

$data = [
    'contactListId' => '60d5ec49f1b2c72d9c8b4567',
    'page' => 1,
    'limit' => 20,
    'email' => 'jane'
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: Bearer <token>',
    'Content-Type: application/json'
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io"
    "net/http"
)

func main() {
    url := "https://api.autosend.com/v1/contact-lists/contacts/search"

    payload := map[string]interface{}{
        "contactListId": "60d5ec49f1b2c72d9c8b4567",
        "page":          1,
        "limit":         20,
        "email":         "jane",
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        fmt.Println("Error:", err)
        return
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;

public class GetContactsInList {
    public static void main(String[] args) {
        try {
            URL url = new URL("https://api.autosend.com/v1/contact-lists/contacts/search");
            HttpURLConnection con = (HttpURLConnection) url.openConnection();

            con.setRequestMethod("POST");
            con.setRequestProperty("Authorization", "Bearer <token>");
            con.setRequestProperty("Content-Type", "application/json");
            con.setDoOutput(true);

            String jsonInputString = "{\n" +
                "  \"contactListId\": \"60d5ec49f1b2c72d9c8b4567\",\n" +
                "  \"page\": 1,\n" +
                "  \"limit\": 20,\n" +
                "  \"email\": \"jane\"\n" +
                "}";

            try (OutputStream os = con.getOutputStream()) {
                byte[] input = jsonInputString.getBytes(StandardCharsets.UTF_8);
                os.write(input, 0, input.length);
            }

            BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
            String inputLine;
            StringBuilder content = new StringBuilder();
            while ((inputLine = in.readLine()) != null) {
                content.append(inputLine);
            }
            in.close();
            con.disconnect();

            System.out.println(content.toString());

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
require 'net/http'
require 'json'
require 'uri'

uri = URI('https://api.autosend.com/v1/contact-lists/contacts/search')

http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Post.new(uri.path)
request['Authorization'] = 'Bearer <token>'
request['Content-Type'] = 'application/json'

request.body = {
  contactListId: '60d5ec49f1b2c72d9c8b4567',
  page: 1,
  limit: 20,
  email: 'jane'
}.to_json

response = http.request(request)
puts response.body
{
  "success": true,
  "data": {
    "contacts": [
      {
        "id": "60d5ec49f1b2c72d9c8b1111",
        "email": "[email protected]",
        "firstName": "Jane",
        "lastName": "Smith",
        "createdAt": "2026-01-15T10:30:00.000Z",
        "updatedAt": "2026-02-20T14:45:00.000Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 20,
      "total": 1,
      "pages": 1
    }
  }
}
curl --request POST \
  --url https://api.autosend.com/v1/contact-lists/contacts/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "contactListId": "60d5ec49f1b2c72d9c8b4567",
  "page": 1,
  "limit": 20,
  "email": "jane"
}'
import requests

url = "https://api.autosend.com/v1/contact-lists/contacts/search"

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

payload = {
    "contactListId": "60d5ec49f1b2c72d9c8b4567",
    "page": 1,
    "limit": 20,
    "email": "jane"
}

response = requests.post(url, json=payload, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/contact-lists/contacts/search', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    contactListId: '60d5ec49f1b2c72d9c8b4567',
    page: 1,
    limit: 20,
    email: 'jane'
  })
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
<?php

$url = 'https://api.autosend.com/v1/contact-lists/contacts/search';

$data = [
    'contactListId' => '60d5ec49f1b2c72d9c8b4567',
    'page' => 1,
    'limit' => 20,
    'email' => 'jane'
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: Bearer <token>',
    'Content-Type: application/json'
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io"
    "net/http"
)

func main() {
    url := "https://api.autosend.com/v1/contact-lists/contacts/search"

    payload := map[string]interface{}{
        "contactListId": "60d5ec49f1b2c72d9c8b4567",
        "page":          1,
        "limit":         20,
        "email":         "jane",
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        fmt.Println("Error:", err)
        return
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;

public class GetContactsInList {
    public static void main(String[] args) {
        try {
            URL url = new URL("https://api.autosend.com/v1/contact-lists/contacts/search");
            HttpURLConnection con = (HttpURLConnection) url.openConnection();

            con.setRequestMethod("POST");
            con.setRequestProperty("Authorization", "Bearer <token>");
            con.setRequestProperty("Content-Type", "application/json");
            con.setDoOutput(true);

            String jsonInputString = "{\n" +
                "  \"contactListId\": \"60d5ec49f1b2c72d9c8b4567\",\n" +
                "  \"page\": 1,\n" +
                "  \"limit\": 20,\n" +
                "  \"email\": \"jane\"\n" +
                "}";

            try (OutputStream os = con.getOutputStream()) {
                byte[] input = jsonInputString.getBytes(StandardCharsets.UTF_8);
                os.write(input, 0, input.length);
            }

            BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
            String inputLine;
            StringBuilder content = new StringBuilder();
            while ((inputLine = in.readLine()) != null) {
                content.append(inputLine);
            }
            in.close();
            con.disconnect();

            System.out.println(content.toString());

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
require 'net/http'
require 'json'
require 'uri'

uri = URI('https://api.autosend.com/v1/contact-lists/contacts/search')

http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Post.new(uri.path)
request['Authorization'] = 'Bearer <token>'
request['Content-Type'] = 'application/json'

request.body = {
  contactListId: '60d5ec49f1b2c72d9c8b4567',
  page: 1,
  limit: 20,
  email: 'jane'
}.to_json

response = http.request(request)
puts response.body
{
  "success": true,
  "data": {
    "contacts": [
      {
        "id": "60d5ec49f1b2c72d9c8b1111",
        "email": "[email protected]",
        "firstName": "Jane",
        "lastName": "Smith",
        "createdAt": "2026-01-15T10:30:00.000Z",
        "updatedAt": "2026-02-20T14:45:00.000Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 20,
      "total": 1,
      "pages": 1
    }
  }
}

Authorizations

Authorizations
string | header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Search parameters for retrieving contacts within a list
contactListId
string
required
The ID of the contact list to search in.Example: "60d5ec49f1b2c72d9c8b4567"
page
integer
Page number for pagination (starts at 1).Minimum: 1Default: 1Example: 1
limit
integer
Number of results per page.Range: 1 - 100Default: 20Example: 20
email
string
Filter contacts by email address (partial match).Example: "jane"

Response

Contacts retrieved successfully
success
boolean
Indicates if the request was successfulExample: true
data
object